import { default as React, PropsWithChildren } from 'react';
interface ThemeContextType {
    theme: string;
    colors: Record<string, string> | undefined;
    setTheme: React.Dispatch<React.SetStateAction<string>>;
    setColors: React.Dispatch<React.SetStateAction<Record<string, string> | undefined>>;
}
interface ThemeProviderProps {
    theme: string;
    colors: Record<string, string> | undefined;
}
declare function ThemeProvider(props: PropsWithChildren<Partial<ThemeProviderProps>>): import("react/jsx-runtime").JSX.Element;
declare function useTheme(): ThemeContextType;
export { ThemeProvider, useTheme };
export type { ThemeContextType };
