import { PropsWithChildren } from 'react';
import { ILanguageResource } from './LanguageContext';
interface UIKitProviderProps {
    chat?: any;
    language?: string;
    languageResources?: ILanguageResource[];
    theme?: string;
    colors?: Record<string, string>;
}
declare function UIKitProvider(props: PropsWithChildren<UIKitProviderProps>): import("react/jsx-runtime").JSX.Element;
declare const useUIKit: (..._args: any[]) => {
    chat: any;
    language: string;
    setLanguage: (lng: string) => void;
    t: import('i18next').i18n["t"];
    i18n: import('i18next').i18n;
    theme: string;
    colors: Record<string, string> | undefined;
    setTheme: React.Dispatch<React.SetStateAction<string>>;
    setColors: React.Dispatch<React.SetStateAction<Record<string, string> | undefined>>;
};
export { UIKitProvider, useUIKit, };
